> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/set/boxsetisdisjointfrom.md).

# BoxSetIsDisjointFrom

Test whether two Sets share no common elements, i.e.

their intersection is empty. Returns true if the two Sets are disjoint, false if they have at least one element in common.

## Method Signature

```
BoxSetIsDisjointFrom(set=[set], otherSet=[any])
```

### Arguments

| Argument   | Type  | Required | Description                                                             | Default |
| ---------- | ----- | -------- | ----------------------------------------------------------------------- | ------- |
| `set`      | `set` | `true`   | The first set.                                                          |         |
| `otherSet` | `any` | `true`   | The second set to compare against. Accepts any value castable to a Set. |         |

## Examples

### Check that two Sets share no elements

Returns `true` when the two Sets have an empty intersection.

```java
a = setOf( 1, 2 );
c = setOf( 9, 10 );
writeOutput( a.isDisjointFrom( c ) );

```

Result: true

### Returns false when Sets overlap

```java
a = setOf( 1, 2, 3 );
b = setOf( 3, 4, 5 );
writeOutput( a.isDisjointFrom( b ) );

```

Result: false

## Related

* [BoxSetAdd](/boxlang-language/reference/built-in-functions/set/boxsetadd.md)
* [BoxSetAddAll](/boxlang-language/reference/built-in-functions/set/boxsetaddall.md)
* [BoxSetClear](/boxlang-language/reference/built-in-functions/set/boxsetclear.md)
* [BoxSetContains](/boxlang-language/reference/built-in-functions/set/boxsetcontains.md)
* [BoxSetContainsAll](/boxlang-language/reference/built-in-functions/set/boxsetcontainsall.md)
* [BoxSetDifference](/boxlang-language/reference/built-in-functions/set/boxsetdifference.md)
* [BoxSetEach](/boxlang-language/reference/built-in-functions/set/boxseteach.md)
* [BoxSetEquals](/boxlang-language/reference/built-in-functions/set/boxsetequals.md)
* [BoxSetEvery](/boxlang-language/reference/built-in-functions/set/boxsetevery.md)
* [BoxSetFilter](/boxlang-language/reference/built-in-functions/set/boxsetfilter.md)
* [BoxSetFind](/boxlang-language/reference/built-in-functions/set/boxsetfind.md)
* [BoxSetIntersection](/boxlang-language/reference/built-in-functions/set/boxsetintersection.md)
* [BoxSetIsEmpty](/boxlang-language/reference/built-in-functions/set/boxsetisempty.md)
* [BoxSetIsSubsetOf](/boxlang-language/reference/built-in-functions/set/boxsetissubsetof.md)
* [BoxSetIsSupersetOf](/boxlang-language/reference/built-in-functions/set/boxsetissupersetof.md)
* [BoxSetMap](/boxlang-language/reference/built-in-functions/set/boxsetmap.md)
* [BoxSetNone](/boxlang-language/reference/built-in-functions/set/boxsetnone.md)
* [BoxSetReduce](/boxlang-language/reference/built-in-functions/set/boxsetreduce.md)
* [BoxSetReject](/boxlang-language/reference/built-in-functions/set/boxsetreject.md)
* [BoxSetRemove](/boxlang-language/reference/built-in-functions/set/boxsetremove.md)
* [BoxSetRemoveAll](/boxlang-language/reference/built-in-functions/set/boxsetremoveall.md)
* [BoxSetRetainAll](/boxlang-language/reference/built-in-functions/set/boxsetretainall.md)
* [BoxSetSome](/boxlang-language/reference/built-in-functions/set/boxsetsome.md)
* [BoxSetSymmetricDifference](/boxlang-language/reference/built-in-functions/set/boxsetsymmetricdifference.md)
* [BoxSetToArray](/boxlang-language/reference/built-in-functions/set/boxsettoarray.md)
* [BoxSetToList](/boxlang-language/reference/built-in-functions/set/boxsettolist.md)
* [BoxSetUnion](/boxlang-language/reference/built-in-functions/set/boxsetunion.md)
* [ObjectToSet](/boxlang-language/reference/built-in-functions/set/objecttoset.md)
* [SetNew](/boxlang-language/reference/built-in-functions/set/setnew.md)
* [SetOf](/boxlang-language/reference/built-in-functions/set/setof.md)
* [StructKeySet](/boxlang-language/reference/built-in-functions/set/structkeyset.md)
* [StructValueSet](/boxlang-language/reference/built-in-functions/set/structvalueset.md)
* [ToSet](/boxlang-language/reference/built-in-functions/set/toset.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/set/boxsetisdisjointfrom.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
